cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/entries" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/habits/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"truncated": true,
"periodSummary": [
{
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"periodKey": "string",
"entryCount": 1,
"totalValue": 1
}
],
"entries": [
{
"entryId": "66f7b8b1e13c8d25f4d3d90a",
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"occurredAt": "2026-07-14T10:00:00.000Z",
"localDate": "string",
"periodKey": "string",
"value": 1,
"unit": "string",
"note": "string"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Client habits
List habit entries
Requires habits:read. dateFrom and dateTo are required and capped at 92 days. Entry pages have no page-count ceiling; periodSummary includes the complete authorized date range, and truncated indicates more entry pages.
GET
/
public
/
v1
/
clients
/
{clientId}
/
habits
/
entries
cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/entries" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/habits/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"truncated": true,
"periodSummary": [
{
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"periodKey": "string",
"entryCount": 1,
"totalValue": 1
}
],
"entries": [
{
"entryId": "66f7b8b1e13c8d25f4d3d90a",
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"occurredAt": "2026-07-14T10:00:00.000Z",
"localDate": "string",
"periodKey": "string",
"value": 1,
"unit": "string",
"note": "string"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}